
/*  -*- MaTX -*-
 *
 *  【名前】
 *      all() - 論理演算関数(全ての成分が 0 でないか判定)
 *
 *  【形式】
 *      i = all(X)
 *         Integer i;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      all(X) は X の全ての成分が 0 でない場合に限り 1 (真)となり，
 *      1 つでも 0 の成分があれば 0 (偽)となる。
 *
 *  【例題】
 *      行列型のデータ A の成分が全て 5 より大きいか判定する。
 *
 *      if (all(A .> 5)) {
 *          do something
 *      }
 *
 *  【関連項目】
 *      all_row(), all_col(), any(), any_row(), any_col()
 */
