
/*  -*- MaTX -*-
 *
 *  【名前】
 *      all_row() - 論理演算関数(行毎に全ての成分が 0 でないか判定)
 *
 *  【形式】
 *      x = all_row(X)
 *         Array x;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      all_row(X) は，X の行毎に全ての成分が 0 でない場合に 1 を 
 *      1 でつも 0 の成分があれば 0 を割り当て，0 と 1 からなる列ベク
 *      トル(配列)を返す。
 *
 *  【例題】
 *      行列型のデータ A の行毎に，全ての成分が 5 より大きいか判定する。
 *
 *      all_row(A .> 5)
 *
 *  【関連項目】
 *      all(), all_col(), any(), any_row(), any_col()
 */
