%al
/*  -*- MaTX -*-
 *
 *  【名前】
 *      any_col() - 論理演算関数(列毎に 0 でない成分が存在するか判定)
 *
 *  【形式】
 *      x = any_col(X)
 *         Array x;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      any_col(X) は，X の列毎に 0 でない成分が存在する場合 1 を，
 *      全ての成分が 0 の場合 0 を割り当て，0 と 1 からなる行ベク
 *      トル(配列)を返す。
 *
 *  【例題】
 *      行列型のデータ A の各列に 5 より大きい成分が存在するか判定する。
 *
 *      any_col(A .> 5)
 *
 *  【関連項目】
 *      all(), all_row(), all_col(), any(), any_row()
 */
