
/*  -*- MaTX -*-
 *
 *  【名前】
 *      asinh() - 双曲(線)逆正弦
 *
 *  【形式】
 *      y = asinh(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = asinh(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      asinh(x)は，スカラ型(整数, 実数, 複素数) x の逆双曲(線)正弦を求める。
 *      角度はラジアンで計算される。
 *	    asinh(X)は，配列 X の各成分の逆双曲(線)正弦からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      asinh(z) = log(z + sqrt(z*z + 1))
 *
 *  【例題】
 *      >> y = asinh(0.5)
 *      y = 0.481212
 *
 *  【関連項目】
 *      acos(), asin(), atan(), acosh(), atanh()
 */
