
/*  -*- MaTX -*-
 *
 *  【名前】
 *      atan() - 逆正接
 *
 *  【形式】
 *      y = atan(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = atan(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      atan(x)は，スカラ型(整数, 実数, 複素数) x の逆正接を求める。
 *      角度はラジアンで計算される。x が実数のとき，
 *
 *          -1 <= x <= 1
 *
 *      の範囲に対し，atan(x) は
 *
 *          -PI/4 <= atan(x) <= PI/4
 *
 *      の範囲の実数となる。
 *	    atan(X)は，配列 X の各成分の逆正接からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      i = (0,1)
 *      atan(z) = log((i + z)/(i = z))
 *
 *  【例題】
 *      >> y = atan(0.5)
 *      y = 0.463648
 *
 *      範囲 -1 <= x <= 1 のatan(x)のグラフを表示する。
 *
 *      >> x = [-1:0.05:1];
 *      >> mgplot(1, x, atan(x), {"atan(x)"});
 *
 *  【関連項目】
 *      asin(), acos(), asinh(), acosh(), atanh()
 */
