
/*  -*- MaTX -*-
 *
 *  【名前】
 *      bit_comp() - ビット毎の反転(1の補数)
 *
 *  【形式】
 *      j = bit_comp(i)
 *         Integer j;
 *         Integer i;
 *
 *      Y = bit_comp(X)
 *         (Array|Index) Y;
 *         (Array|Index) X;
 *
 *  【機能説明】
 *      j = bit_comp(i) は整数 i の各ビットを反転した整数 j を求める。
 *	    bit_comp(X)は，(配列|指数) X の各成分のビットを反転した整数
 *      からなる(配列|指数) Y を求める。Y の大きさは X の大きさと同じになる。
 *
 *  【例題】
 *      >> j = bit_comp(0xffffff00)
 *      j = 255 (= 0x000000ff)
 *
 *  【関連項目】
 *      bit_and(), bit_or(), bit_xor()
 */
