
/*  -*- MaTX -*-
 *
 *  【名前】
 *      bit_rshift() - ビット毎の右シフト
 *
 *  【形式】
 *      k = bit_rshift(i,j)
 *         Integer k;
 *         Integer i,j;
 *
 *      Y = bit_rshift(X,i)
 *         (Array|Index) Y;
 *         (Array|Index) X;
 *         Integer i;
 *
 *  【機能説明】
 *      bit_rshift(i,j) は整数 i の各ビットを j ビット右(低次方向)へ
 *      シフトした整数を求める。
 *      bit_rshift(X,i)は，(配列|指数) X の各成分のビットを i  ビット
 *      右へシフトした値からなる(配列|指数) P を求める。P の大きさは X 
 *      の大きさと同じになる。
 *
 *  【例題】
 *      >> k = bit_rshift(0xf0, 4)
 *      k = 15 (= 0x0f)
 *
 *  【関連項目】
 *      bit_rshift()
 */
