
/*  -*- MaTX -*-
 *
 *  【名前】
 *      break - 繰り返し終了
 *
 *  【形式】
 *      break;
 *
 *  【機能説明】
 *      先頭または最後でテストする以外，時によってはループからの脱出を
 *      制御できる方が便利な場合がある。break 文は，for, while, do-while
 *      から早く抜け出るための方法である。break 文を使うと，最も内側の
 *      ループから直ちに抜け出すことができる。
 *
 *      break 文はスイッチ文から直接抜け出る手段でもある。C 言語と同様に
 *      case は単にラベルとして働くから，1 つの case 文が終了したのち，
 *      抜け出すための明示的な動作がなければ，実行は次の case へ移る。
 *
 *  【例題】
 *      対角より上の成分に 1 を代入する。
 *      A = Z(4);
 *      for (i = 1; i <= Cols(A); i++) {
 *          for (j = 1; j <= Rows(A); j++) {
 *              if (i >= j) {
 *                  A(i,j) = 1;
 *                  break;
 *              }
 *          }
 *      }
 *  【関連項目】
 *      for, while, do-while, switch
 */
