
/*  -*- MaTX -*-
 *
 *  【名前】
 *      cosh() - 双曲(線)余弦
 *
 *  【形式】
 *      y = cosh(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = cosh(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      cosh(x)は，スカラ型(整数, 実数, 複素数) x の双曲(線)余弦を求める。
 *      角度はラジアンで計算される。
 *	    cosh(X)は，配列 X の各成分の双曲(線)余弦からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      cosh(z) = (exp(z) + exp(-z))/2
 *
 *  【例題】
 *      >> y = cosh(0.5)
 *      y = 1.12763
 *
 *      範囲 -PI <= x <= PI のcosh(x)のグラフを表示する。
 *
 *      >> x = [-PI:0.05:PI];
 *      >> mgplot(1, x, cosh(x), {"cosh(x)"});
 *
 *  【関連項目】
 *      sin(), cos(), tan(), acosh(), exp()
 */
