
/*  -*- MaTX -*-
 *
 *  【名前】
 *      cumsum() - 累積和
 *
 *  【形式】
 *      Y = cumsum(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      cumsum(X)は，(行列|配列|指数)の全ての成分の累積和を求める。
 *      この関数は，まず行を左から右へ，そして各行を上から下へ計算し，
 *      与えられた(行列|配列|指数) X と同じ大きさの(行列|配列|指数) Y 
 *      を返す。
 *
 *  【例題】
 *      >> Y = cumsum([[1 2][3 4]])
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  3.00000000E+00
 *      (  2)  6.00000000E+00  1.00000000E+01
 *
 *  【関連項目】
 *      diff, cumprod, cumsum_row, cumsum_col
 */
