
/*  -*- MaTX -*-
 *
 *  【名前】
 *      cumsum_col() - 列毎の累積和
 *
 *  【形式】
 *      Y = cumsum_col(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      cumsum_col(X)は，(行列|配列|指数)の列毎の累積和を求め，
 *      (行列|配列|指数) X と同じ大きさの(行列|配列|指数) Y を返す。
 *
 *  【例題】
 *      >> Y = cumsum_col([[1 2][3 4]])
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  2.00000000E+00
 *      (  2)  4.00000000E+00  6.00000000E+00
 *
 *  【関連項目】
 *      cumprod(), cumsum_row()
 */
