
/*  -*- MaTX -*-
 *
 *  【名前】
 *      error() - エラーメッセージを出力
 *
 *  【形式】
 *      error()
 *
 *  【機能説明】
 *      error()を使用すると，実行が停止され，エラーメッセージが標準
 *      エラー出力に出力される。引数がない場合は，単に実行が停止する。
 *      引数の長さが 0 の文字列ならば，エラーは無視される。printf()と
 *      同じ書式を指定できる。
 *
 *      インタプリタで実行すると，引数の文字列だけでなく，エラーが発生
 *      した個所に関する情報も表示される。オプション -withlog を用いれば，
 *      ログファイル MaTX.log にもエラーメッセージが出力される。
 *
 *  【例題】
 *      A = [[1 2][3 4]];
 *      B = [1];
 *      if (Rows(A) != Rows(B) || Cols(A) != Cols(B)) {
 *          error("add(): Dimension error A(%d,%d), B(%d,%d)\n",
 *          Rows(A), Cols(A), Rows(B), Cols(B));
 *      } else {
 *          print A + B;
 *      }
 *
 *  【関連項目】
 *      warning()
 */
