
/*  -*- MaTX -*-
 *
 *  【名前】
 *      feof() - ファイルの終端に達したか調べる
 *
 *  【形式】
 *      m = feof(id)
 *         Integer m;
 *         Integer id;
 *
 *  【機能説明】
 *      fclose(id)は，id = fopen() でオープンしたファイルのデータを
 *      読み込むとき，ファイルの終端に達したか調べる。終端に達して
 *      いれば 1 ，終端に達していなければ 0 を返す。  
 *
 *  【例題】
 *      if ((id = fopen("afo", "r")) < 0) {
 *          error("Can't open %s", "afo");
 *      }
 *      while (length(str = fgets(id))) {
 *          printf("%s", str);
 *          if (feof(id)) {
 *              break;
 *          }
 *      }
 *      fclose(id);
 *
 *  【関連項目】
 *      fopen(), fclose()
 */
