
/*  -*- MaTX -*-
 *
 *  【名前】
 *      fgets() - ファイルから文字列を読み込む
 *
 *  【形式】
 *      str = fgets(fd)
 *         String str;
 *         Integer fd;
 *
 *      str = fgets(fd,len)
 *         String str;
 *         Integer fd, len;
 *
 *  【機能説明】
 *      str = fgets(fd)は，fd = fopen() でオープンしたファイルから文字列を
 *      1 行(改行コードを含めて)あるいは 1023 個の文字を読み込み，文字列を
 *      返す。ファイルの終端に達したら，長さゼロの文字列を返す。
 *
 *      str = fgets(fd, len) は，ファイルから文字列を 1 行(改行コードを含め
 *      て)あるいは len 個の文字を読み込む。
 *
 *  【例題】
 *      ファイル afo を読み込み用にオープンし，fgets()でデータを読み込む。
 *
 *      if ((fd = fopen("afo", "r")) < 0) {
 *          error("Can't open %s", "afo");
 *      }
 *      while (length(str = fgets(fd))) {
 *          printf("%s", str);
 *      }
 *      fclose(fd);
 *
 *  【関連項目】
 *      fclose(), fopen(), fscanf(), fprintf(), fread(), fwrite()
 */
