
/*  -*- MaTX -*-
 *
 *  【名前】
 *      fpu_round_zero() - 浮動小数点数の丸めモードをゼロ向き丸めに設定
 *
 *  【形式】
 *      fpu_round_zero()
 *
 *  【機能説明】
 *      fpu_round_zero()は，使用中の計算機の浮動小数点の演算結果の
 *      丸めモードをIEEE754の規格に従うゼロ向き丸め(切り捨て)に設定する。
 *      この機能に対応していない計算機もある。
 *
 *  【例題】
 *      fpu_round_up();       xu = 1.0/3;
 *      fpu_round_down();     xd = 1.0/3;
 *      fpu_round_near();     xn = 1.0/3;
 *      fpu_round_zero();     xz = 1.0/3;
 *
 *      printf("1/3(u)        = %24.20E\n", xu);
 *      printf("1/3(d)        = %24.20E\n", xd);
 *      printf("1/3(n)        = %24.20E\n", xn);
 *      printf("1/3(z)        = %24.20E\n", xz);
 *
 *  【関連項目】
 *      fpu_round_near, fpu_round_down, fpu_round_up
 */
