
/*  -*- MaTX -*-
 *
 *  【名前】
 *      maximum() - 最大値とその指数
 *
 *  【形式】
 *         X が行列の場合           Xがベクトルの場合
 *
 *      {k,i,j} = maximum(X)       {k,i} = maximum(X)
 *         Integer k;                 Integer k;
 *         Integer i,j;               Integer i;
 *         Index X;                   Index X;
 *
 *      {x,i,j} = maximum(X)       {x,i} = maximum(X)
 *         Real x;                    Real x;
 *         Integer i,j;               Integer i;
 *         (Matrix|Array) X;          (Matrix|Array) X;
 *
 *      {z,i,j} = maximum(X)       {z,i} = maximum(X)
 *         Complex z;                 Complex z;
 *         Integer i,j;               Integer i;
 *         (CoMatrix|CoArray) X;      (CoMatrix|CoArray) X;
 *
 *  【機能説明】
 *      X が指数のとき，maximum(X) は成分の最大値(整数)とその指数(行番号
 *      と列番号)を返す。X が(行列|配列)のとき，maximum(X) は成分の最大値
 *      (実数)とその指数(行番号と列番号)を返す。X が複素(行列|配列)のとき，
 *      maximum(X) は絶対が最大値の成分(複素数)とその指数(行番号と列番号)
 *      を返す。X が縦ベクトルまたは横ベクトルのとき，指数は成分の番号にな
 *      る。
 *
 *  【例題】
 *      >> L = maximum([[1.2, -2.3][3.1, 0]])
 *      L = {3.1, 2, 1}
 *      >> L = maximum([(1,2), (3,4)])
 *      L = {(3,4), 2}
 *
 *  【関連項目】
 *      max(), maximum_col(), maximum_row(), minimum()
 */
