
/*  -*- MaTX -*-
 *
 *  【名前】
 *      mean_col() - 列毎の成分の平均値
 *
 *  【形式】
 *      Y = mean_col(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      mean_col(X)は，列毎に成分の平均値を求め，行ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，mean_col(X) は
 *      全ての成分の平均値を求める。
 *
 *  【例題】
 *      >> Y = mean_col([[1 2][3 4]])
 *      === [Y] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  2.00000000E+00  3.00000000E+00
 *      >> Y = mean_col([1 3])
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  2.00000000E+00
 *
 *  【関連項目】
 *      mean(), mean_row()
 */
