
/*  -*- MaTX -*-
 *
 *  【名前】
 *      min() - 最小値
 *
 *  【形式】
 *      i = min(X)       x = min(X)              z = min(X)
 *         Integer i;       Real x;                 Complex z;
 *         Index X;         (Matrix|Array) X;       (CoMatrix|CoArray) X;
 *
 *      k = min(i,j)      k = min(i,j)    k = min(i,j)    k = min(i,j)
 *         Integer k;        Real k;         Real k;         Real k;
 *         Intger i, j;      Intger i;       Real i;         Real i;
 *                           Real j;         Integer j;      Real j;
 *
 *      z = min(i,j)
 *         Complex z;
 *         Complex i, j;
 *
 *      P = min(X,Y)
 *         (Matrix|Array|Index) P;
 *         (Matrix|Array|Index) X,Y;
 *
 *
 *  【機能説明】
 *      X が指数のとき，min(X) は成分の最小値を整数で返す。
 *      X が(行列|配列)のとき，min(X) は成分の最小値を返す。
 *      X が複素(行列|配列)のとき，min(X) は絶対が最小値の成分を返す。
 *
 *      i と j が整数のとき，min(i,j)は i と j の小さい方を返す。
 *      i または j が実数のとき，min(i,j)は i と j の小さい方を実数で返す。
 *      i と j が複素数のとき，min(i,j)は i と j の絶対値が小さい方を返す。
 *
 *	    P = min(X,Y)は，(行列|配列|指数) X と Y の各成分に min(X(i,j), Y(i,j))
 *      を作用した結果からなる (行列|配列|指数) を求める。P の大きさは X の
 *      大きさと同じになる。
 *
 *  【例題】
 *      >> x = min([[1, -2][3, 0]])
 *      x = -2
 *      >> z = min([(1,2), (3,4)])
 *      z = (1,2)
 *      >> k = min(3,2)
 *      k = 2
 *      >> x = min(3.14, 2)
 *      x = 2
 *      >> z = min((1,2),(3,4))
 *      z = (1,2)
 *      >> P = min([1 0 3], [2 4 1])
 *      === [P] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  0.00000000E+00  1.00000000E+00
 *
 *  【関連項目】
 *      max(), min_col(), min_row(), minimum()
 */
