
/*  -*- MaTX -*-
 *
 *  【名前】
 *      pclose() - パイプを閉じる
 *
 *  【形式】
 *      i = pclose(pd)
 *         Integer i;
 *         Integer pd;
 *
 *  【機能説明】
 *      pclose(pd)は，パイプディスクリプタ pd に対応するパイプを閉じる。
 *
 *      クローズに成功するとゼロ，失敗すると負の整数が返される。
 *
 *  【例題】
 *      UNIXの演算用言語 bc とのプロセス間通信の例を次に示す。
 *      この例では，"3 + 4" を fprintf() で bc に送り，計算結果を
 *      fscanf() で取り込む。
 *
 *      if ((pid = pclose("bc")) < 0) {
 *          error("Can't open %s", "bc");
 *      }
 *      fprintf(pid, "3 + 4\n");
 *      {a} = fscanf(pid, "%d");
 *      fprintf(pid, "quit\n");
 *      pclose(pid);
 *
 *  【関連項目】
 *      popen(), fprintf(), fscanf()
 */
