
/*  -*- MaTX -*-
 *
 *  【名前】
 *      require - 関数をファイルに関連づける
 *
 *  【形式】
 *      type func() require "file";
 *
 *  【機能説明】
 *      関数宣言を require 修飾子付で行うと，その関数が定義されている
 *      ファイルを指示できる。例えば，
 *
 *      void mg_main(), mg_sub1(), mg_sub2() require "mg.mm";
 *
 *      は，関数 mg_main()，mg_sub1()，mg_sub2()がファイル mg.mm で定義
 *      されていることを宣言する。この宣言により，どの関数が呼ばれても，
 *      自動的にファイル mg.mm が読み込まれる。ファイルが 1 度読み込まれ
 *      れば，別の関数が呼ばれても mg.mm が再び読み込まれることはない。
 *
 *  【例題】
 *      Matrix PoleAsignSISO() require "poleasgn.mm";
 *
 *  【関連項目】
 *      extern
 */
