
/*  -*- MaTX -*-
 *
 *  【名前】
 *      roots() - 多項式の根
 *
 *  【形式】
 *      X = roots(p)
 *         CoMatrix X;
 *         Polynomial p;
 *
 *  【機能説明】
 *      roots(p)は，多項式 p = 0 の根を求める。
 *
 *  【例題】
 *      >> s = Polynomial("s");
 *      >> p = s^2 + 2*s + 3; 
 *      >> X = roots(p)
 *      === [X] : (  2,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1) -1.00000000E+00  1.41421356E+00
 *      (  2) -1.00000000E+00 -1.41421356E+00
 *
 *  【関連項目】
 *      zeros(), poles(), eigval()
 */
