
/*  -*- MaTX -*-
 *
 *  【名前】
 *      rotateLeft() - 全ての列を左方向へ回転する
 *
 *  【形式】
 *      Y = rotateLeft(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = rotateLeft(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      rotateLeft(X)は，行列型(行列|配列|指数) X の全ての列を左方向へ
 *      1 回転した行列を作る。一番左の列は一番右に移動する。
 *
 *      rotateLeft(X,k)は，左方向へ k 回転する。
 *
 *  【例題】
 *      >> Y = rotateLeft([[1 2 3][4 5 6]])
 *      === [Y] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  2.00000000E+00  3.00000000E+00  1.00000000E+00
 *      (  2)  5.00000000E+00  6.00000000E+00  4.00000000E+00
 *
 *  【関連項目】
 *      shiftLeft(), rotateUp(), rotateRight(), rotateDown()
 */

