
/*  -*- MaTX -*-
 *
 *  【名前】
 *      singleftvec() - 特異値分解の左変換行列
 *
 *  【形式】
 *      U = singleftvec(A)
 *         Matrix U;
 *         Matrix A;
 *
 *  【機能説明】
 *      singleftvec(A)は，行列 A の特異値分解の左側の変換行列を求める。
 *      変換行列 U は，直交行列(ユニタリ行列)である。
 *
 *  【アルゴリズム】
 *      文献 1 のアルゴリズムを使う。
 *
 *  【注意】
 *      繰り返し計算で特異値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> A = [[1 2 3][4 5 6]];
 *      >> U = singleftvec(A)
 *      === [U] : (  2,  2) ===
 *                 (  1)           (  2)
 *      (  1) -3.86317703E-01 -9.22365780E-01
 *      (  2) -9.22365780E-01  3.86317703E-01
 *
 *  【関連項目】
 *      svd(), singval(), singrightvec(), maxsing(), minsing()
 *
 *  【参考文献】
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
