
/*  -*- MaTX -*-
 *
 *  【名前】
 *      singrightvec() - 特異値分解の右変換行列
 *
 *  【形式】
 *      V = singrightvec(A)
 *         Matrix V;
 *         Matrix A;
 *
 *  【機能説明】
 *      singrightvec(A)は，行列 A の特異値分解の右側の変換行列を求める。
 *      変換行列 V は，直交行列(ユニタリ行列)である。
 *
 *  【アルゴリズム】
 *      文献 1 のアルゴリズムを使う。
 *
 *  【注意】
 *      繰り返し計算で特異値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> A = [[1 2 3][4 5 6]];
 *      >> V = singrightvec(A);
 *      === [V] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1) -4.28667134E-01  8.05963909E-01  4.08248290E-01
 *      (  2) -5.66306919E-01  1.12382414E-01 -8.16496581E-01
 *      (  3) -7.03946704E-01 -5.81199080E-01  4.08248290E-01
 *
 *  【関連項目】
 *      svd(), singval(), singleftvec(), maxsing(), minsing()
 *
 *  【参考文献】
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
