
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_bind() - ソケットに名前を付ける
 *
 *  【形式】
 *      i = socket_bind(sd)
 *         Integer i;
 *         Integer sd;
 *
 *      i = socket_bind(sd, port)
 *         Integer i;
 *         Integer sd;
 *         Integer port;
 *
 *      i = socket_bind(sd, port, host)
 *         Integer i;
 *         Integer sd;
 *         Integer port;
 *         String host;
 *
 *  【機能説明】
 *      socket_bind(sd, port, host)は，ポート番号 port とホスト host の
 *      IPアドレスをソケット sd に設定する。host が省略されると，マシンの
 *      どんなIPアドレスに対する接続でも受け付ける。port が省略されると，
 *      0 が設定される。host には，IPアドレス(例: "111.222.33.44") 
 *      またはホスト名(例: "www.matx.org")を文字列で指定する。
 *
 *      設定に成功するとゼロ，失敗すると負の整数が返される。
 *
 *  【例題】
 *      コネクション型のソケットを作成し，マシンのどんなIPアドレスに
 *      対する接続でも受け付けるよう設定する。
 *
 *      sd = socket_open("TCP");
 *      socket_bind(sd, port);
 *
 *  【関連項目】
 *      socket_open
 */
