
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_connect() - 別のソケットとの接続要求
 *
 *  【形式】
 *      i = socket_connect(sd, port, host)
 *         Integer i;
 *         Integer sd;
 *         Integer port;
 *         String host;
 *
 *  【機能説明】
 *      socket_connect(sd, port, host)は，サーバ host のポート番号 port
 *      で待っているソケットに接続を要求する。socket_connect が成功すると，
 *      サーバとの間でソケットディスクリプタを使ってデータの受け渡しができ
 *      る。host には，IPアドレス(例: "111.222.33.44") またはホスト名
 *      (例: "www.matx.org")を文字列で指定する。
 *
 *      socket_connect に成功するとゼロ，失敗すると負の整数が返される。
 *
 *  【例題】
 *      コネクション型のソケットを作成し，ソケットからデータを読む。
 *
 *      sd = socket_open("TCP");
 *      socket_connect(sd, port, "server");
 *      fprintf(sd, "hello\n");
 *
 *  【関連項目】
 *      socket_open
 */
