
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_shutdown() - 接続を全面的，あるいは部分的に閉鎖する
 *
 *  【形式】
 *      i = socket_shutdown(sd)
 *         Integer i;
 *         Integer sd;
 *
 *      i = socket_shutdown(sd, how)
 *         Integer i;
 *         Integer sd;
 *         Integer how;
 *
 *  【機能説明】
 *      socket_shutdown(sd)は，コネクション型ソケットの接続を全面的，
 *      あるいは部分的に閉鎖する。how = 0 のとき，ソケットは読み出し
 *      に対して閉鎖され，how = 1 のとき，ソケットは書き込みに対して
 *      閉鎖され，how = 2 のとき，ソケットは読み出しおよび書き込み
 *      に対して閉鎖される。
 *
 *      閉鎖に成功するとゼロ，失敗すると負の整数が返される。
 *
 *  【例題】
 *      コネクション型のソケットの接続を全面的に閉鎖する。
 *
 *      socket_shutdown(sd, 2);
 *
 *  【関連項目】
 *      socket_open, socket_close, socket_connect
 */


