
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sort_row() - 行毎の並び替え
 *
 *  【形式】
 *      {Y,idx} = sort_row(X)
 *         (Matrix|Array|Index) Y;
 *         Index idx;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      X がベクトルのとき，{Y,idx} = sort_row(X)は，(行列|配列|指数)
 *      の全ての成分を昇順に並び替えた(行列|配列|指数) Y と，Y の成分
 *      の元の位置を示す指数 idx を返す。Y = X(idx) の関係が成り立つ。
 *      X が複素行列のとき，絶対値で並び替える。
 *      
 *      X が行列のとき，行毎に並び替え，与えられた(行列|配列|指数) X と
 *      同じ大きさの(行列|配列|指数) Y を返す。Y(i,:) = X(i,idx(i,:))
 *      の関係が成り立つ。
 *
 *  【例題】
 *      >> {Y,idx} = sort_row([[4 1 2 3][5 0 1 4]]);
 *      >> print Y,idx;
 *      === [Y] : (  2,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  1.000000E+00  2.000000E+00  3.000000E+00  4.000000E+00
 *      (  2)  0.000000E+00  1.000000E+00  4.000000E+00  5.000000E+00
 *      === [idx] : (  2,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  2.000000E+00  3.000000E+00  4.000000E+00  1.000000E+00
 *      (  2)  2.000000E+00  3.000000E+00  4.000000E+00  1.000000E+00
 *
 *  【関連項目】
 *      sort(), sort_col()
 */
