
/*  -*- MaTX -*-
 *
 *  【名前】
 *      static - 局所 static 変数の宣言
 *
 *  【形式】
 *      static type var1, ..., varn;
 *
 *  【機能説明】
 *      static type var は，変数 var が局所 static 変数であることを宣言する。
 *      局所 static 変数は通常の局所変数と異なり，関数が起動される毎に
 *      初期化されることなく，ずっと存在し続ける。これは，局所 static 変数
 *      が関数内で私的な永久記憶をもつをことを意味する。static 変数は 0 に
 *      初期化されることが保証されるので，ユーザが陽に初期化する必要はない。
 *      リストは成分が 0 個のリストとして初期化される。行列は 0 * 0 の行列
 *      として初期化されるので，関数 length() などでサイズを調べ，陽に初期化
 *      する必要がある。
 *
 *  【例題】
 *      Func void afo()
 *      {
 *          static Integer a;
 *          
 *          print a;
 *          a = a + 1;
 *      }
 *
 *  【関連項目】
 *      extern
 */
