
/*  -*- MaTX -*-
 *
 *  【名前】
 *      std() - 全ての成分の標準偏差
 *
 *  【形式】
 *      x = std(X)
 *         (Real  |Complex |Polynomial|Rational) x;
 *         (Matrix|CoMatrix|PoMatrix  |RaMatrix) X;
 *
 *      x = std(X)
 *         (Real |Complex|Polynomial|Rational) x
 *         (Array|CoArray|PoArray   |RaArray ) X;
 *
 *      x = std(X)
 *         Integer x;
 *         Index X;
 *
 *  【機能説明】
 *      std(X)は，全ての成分の標準偏差を求める。
 *
 *  【例題】
 *      >> x = std([1 2 3 4 5])
 *      x = 1.41421
 *
 *  【関連項目】
 *      sum(), median(), mean(), std_row(), std_col()
 */
