
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sum_row() - 行毎の成分の和
 *
 *  【形式】
 *      Y = sum_row(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      sum_row(X)は，行毎に成分の和を求め，列ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，sum_row(X) は
 *      全ての成分の和を求める。
 *
 *  【例題】
 *      >> Y = sum_row([[1 2][3 4]])
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  3.00000000E+00
 *      (  2)  7.00000000E+00
 *      >> Y = sum_row([[1][3]])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  4.00000000E+00
 *
 *  【関連項目】
 *      sum(), sum_col()
 */
