
/*  -*- MaTX -*-
 *
 *  【名前】
 *      typeof() - リストの成分の型
 *
 *  【形式】
 *      M = typeof(L)
 *         List M;
 *         List L;
 *
 *      i = typeof(L,i1,i2,...,in)
 *         Integer i;
 *         List L;
 *         Integer i1,i2,...,in;
 *
 *  【機能説明】
 *      typeof(L)は，リスト L の成分の型に対応した整数を成分とするリスト
 *      を返す。typeof(L,i1,...,in)は，多段リスト L の n 段目の成分に
 *      に対応した整数を返す。
 *
 *  【例題】
 *      >> L = {1, (2,3), [4], "5", {6}};
 *      >> {t1,t2,t3,t4,t5} = typeof(L);
 *      >> i = typeof(L,5,1);
 *
 *  【関連項目】
 *      makelist(), length()
 */
